-- VHDL model created from schematic isa2can-toop.sch -- Sep 08 09:27:09 2009

LIBRARY ieee;
LIBRARY generics;
LIBRARY lat_vhd;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE generics.components.ALL;
USE lat_vhd.components.ALL;

entity ISA2CAN-TOOP is
      Port ( ISA_SA4 : In    std_logic;
             ISA_SA5 : In    std_logic;
             ISA_SA6 : In    std_logic;
             ISA_SA7 : In    std_logic;
             ISA_SA8 : In    std_logic;
             ISA_SA9 : In    std_logic;
             ISA_SA3 : In    std_logic;
             ISA_SA2 : In    std_logic;
                 AEN : In    std_logic;
             SJA_INTn : In    std_logic;
             ISA_RSTDRV : In    std_logic;
             ISA_IORn : In    std_logic;
             ISA_IOWn : In    std_logic;
             ISA_SA0 : In    std_logic;
             SJA_ALE : Out   std_logic;
             SJA_RDn : Out   std_logic;
             SJA_CSn : Out   std_logic;
             SJA_WRn : Out   std_logic;
             SJA_RSTn : Out   std_logic;
             ISA_IRQ : Out   std_logic );
end ISA2CAN-TOOP;

architecture SCHEMATIC of ISA2CAN-TOOP is

   SIGNAL gnd : std_logic := '0';
   SIGNAL vcc : std_logic := '1';

   signal iISA_IRQ : std_logic;
   signal iSJA_RSTn : std_logic;
   signal iSJA_WRn : std_logic;
   signal iSJA_CSn : std_logic;
   signal iSJA_RDn : std_logic;
   signal iSJA_ALE : std_logic;
   signal iISA_IOWn : std_logic;
   signal iISA_SA0 : std_logic;
   signal iISA_IORn : std_logic;
   signal iISA_RSTDRV : std_logic;
   signal iSJA_INTn : std_logic;
   signal     iAEN : std_logic;
   signal    iAEQB : std_logic;
   signal      N_1 : std_logic;
   signal      N_2 : std_logic;
   signal iISA_SA2 : std_logic;
   signal iISA_SA3 : std_logic;
   signal iISA_SA4 : std_logic;
   signal iISA_SA5 : std_logic;
   signal iISA_SA6 : std_logic;
   signal iISA_SA7 : std_logic;
   signal iISA_SA8 : std_logic;
   signal iISA_SA9 : std_logic;

   component LOGIC
      Port ( COMP_INn : In    std_logic;
             ISA_IORn : In    std_logic;
             ISA_IOWn : In    std_logic;
             ISA_RSTDRV : In    std_logic;
             ISA_SA0 : In    std_logic;
             SJA_INTn : In    std_logic;
             ISA_IRQ : Out   std_logic;
             SJA_ALE : Out   std_logic;
             SJA_CSn : Out   std_logic;
             SJA_RDn : Out   std_logic;
             SJA_RSTn : Out   std_logic;
             SJA_WRn : Out   std_logic );
   end component;

   component COMPARATOR8
      Port (      a0 : In    std_logic;
                  a1 : In    std_logic;
                  a2 : In    std_logic;
                  a3 : In    std_logic;
                  a4 : In    std_logic;
                  a5 : In    std_logic;
                  a6 : In    std_logic;
                  a7 : In    std_logic;
                  b0 : In    std_logic;
                  b1 : In    std_logic;
                  b2 : In    std_logic;
                  b3 : In    std_logic;
                  b4 : In    std_logic;
                  b5 : In    std_logic;
                  b6 : In    std_logic;
                  b7 : In    std_logic;
                  en : In    std_logic;
                aeqb : Out   std_logic );
   end component;

begin

   I17 : LOGIC
      Port Map ( COMP_INn=>iAEQB, ISA_IORn=>iISA_IORn,
                 ISA_IOWn=>iISA_IOWn, ISA_RSTDRV=>iISA_RSTDRV,
                 ISA_SA0=>iISA_SA0, SJA_INTn=>iSJA_INTn,
                 ISA_IRQ=>iISA_IRQ, SJA_ALE=>iSJA_ALE, SJA_CSn=>iSJA_CSn,
                 SJA_RDn=>iSJA_RDn, SJA_RSTn=>iSJA_RSTn,
                 SJA_WRn=>iSJA_WRn );
   I18 : G_OUTPUT
      Port Map ( I=>iSJA_RSTn, O=>SJA_RSTn );
   I19 : G_OUTPUT
      Port Map ( I=>iISA_IRQ, O=>ISA_IRQ );
   I20 : G_OUTPUT
      Port Map ( I=>iSJA_WRn, O=>SJA_WRn );
   I21 : G_OUTPUT
      Port Map ( I=>iSJA_CSn, O=>SJA_CSn );
   I22 : G_OUTPUT
      Port Map ( I=>iSJA_RDn, O=>SJA_RDn );
   I23 : G_OUTPUT
      Port Map ( I=>iSJA_ALE, O=>SJA_ALE );
   I12 : COMPARATOR8
      Port Map ( a0=>iISA_SA3, a1=>iISA_SA2, a2=>iISA_SA4, a3=>iISA_SA5,
                 a4=>iISA_SA6, a5=>iISA_SA7, a6=>iISA_SA8, a7=>iISA_SA9,
                 b0=>N_1, b1=>N_1, b2=>N_2, b3=>N_2, b4=>N_1, b5=>N_1,
                 b6=>N_2, b7=>N_2, en=>iAEN, aeqb=>iAEQB );
   I24 : G_INPUT
      Port Map ( I=>ISA_SA0, O=>iISA_SA0 );
   I25 : G_INPUT
      Port Map ( I=>ISA_IOWn, O=>iISA_IOWn );
   I26 : G_INPUT
      Port Map ( I=>ISA_IORn, O=>iISA_IORn );
   I27 : G_INPUT
      Port Map ( I=>ISA_RSTDRV, O=>iISA_RSTDRV );
   I28 : G_INPUT
      Port Map ( I=>SJA_INTn, O=>iSJA_INTn );
   I13 : G_INPUT
      Port Map ( I=>AEN, O=>iAEN );
   I4 : G_INPUT
      Port Map ( I=>ISA_SA9, O=>iISA_SA9 );
   I5 : G_INPUT
      Port Map ( I=>ISA_SA8, O=>iISA_SA8 );
   I6 : G_INPUT
      Port Map ( I=>ISA_SA7, O=>iISA_SA7 );
   I7 : G_INPUT
      Port Map ( I=>ISA_SA6, O=>iISA_SA6 );
   I8 : G_INPUT
      Port Map ( I=>ISA_SA5, O=>iISA_SA5 );
   I9 : G_INPUT
      Port Map ( I=>ISA_SA4, O=>iISA_SA4 );
   I10 : G_INPUT
      Port Map ( I=>ISA_SA3, O=>iISA_SA3 );
   I11 : G_INPUT
      Port Map ( I=>ISA_SA2, O=>iISA_SA2 );
   N_1 <= gnd;
   N_2 <= vcc;

end SCHEMATIC;
